# Go API client for swagger

Daily and hourly air quality forecast data from the ECMWF model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Hourly forecast is up to 5 days out from current day. Daily forecast is up to 4 days out from current day. The Weather Source ECMWF Air Quality Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 2.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.go.GoClientCodegen
For more information, please visit [https://developer.weathersourceapis.com/](https://developer.weathersourceapis.com/)

## Installation
Put the package under your project folder and add the following in import:
```golang
import "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://ecmwfairqualityforecast.weathersourceapis.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DmasApi* | [**DmasDmaIdDaysDateGet**](docs/DmasApi.md#dmasdmaiddaysdateget) | **Get** /dmas/{dmaId}/days/{date} | A day of ECMWF Air Quality Forecast data for a DMA.
*DmasApi* | [**DmasDmaIdDaysDateStartdateEndGet**](docs/DmasApi.md#dmasdmaiddaysdatestartdateendget) | **Get** /dmas/{dmaId}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a DMA.
*DmasApi* | [**DmasDmaIdDaysGet**](docs/DmasApi.md#dmasdmaiddaysget) | **Get** /dmas/{dmaId}/days | The complete daily ECMWF Air Quality Forecast for a DMA.
*DmasApi* | [**DmasDmaIdHoursGet**](docs/DmasApi.md#dmasdmaidhoursget) | **Get** /dmas/{dmaId}/hours | The complete hourly ECMWF Air Quality Forecast for a DMA
*DmasApi* | [**DmasDmaIdHoursTimestampGet**](docs/DmasApi.md#dmasdmaidhourstimestampget) | **Get** /dmas/{dmaId}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a DMA
*DmasApi* | [**DmasDmaIdHoursTimestampStarttimestampEndGet**](docs/DmasApi.md#dmasdmaidhourstimestampstarttimestampendget) | **Get** /dmas/{dmaId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a DMA.
*OnpointsApi* | [**OnpointsOnpointIdDaysDateGet**](docs/OnpointsApi.md#onpointsonpointiddaysdateget) | **Get** /onpoints/{onpointId}/days/{date} | A day of ECMWF Air Quality Forecast data for an OnPoint™ point.
*OnpointsApi* | [**OnpointsOnpointIdDaysDateStartdateEndGet**](docs/OnpointsApi.md#onpointsonpointiddaysdatestartdateendget) | **Get** /onpoints/{onpointId}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for an OnPoint™ point.
*OnpointsApi* | [**OnpointsOnpointIdDaysGet**](docs/OnpointsApi.md#onpointsonpointiddaysget) | **Get** /onpoints/{onpointId}/days | The complete daily ECMWF Air Quality Forecast for an OnPoint™ point.
*OnpointsApi* | [**OnpointsOnpointIdHoursGet**](docs/OnpointsApi.md#onpointsonpointidhoursget) | **Get** /onpoints/{onpointId}/hours | The complete hourly ECMWF Air Quality Forecast for an OnPoint™ point.
*OnpointsApi* | [**OnpointsOnpointIdHoursTimestampGet**](docs/OnpointsApi.md#onpointsonpointidhourstimestampget) | **Get** /onpoints/{onpointId}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for an OnPoint™ point.
*OnpointsApi* | [**OnpointsOnpointIdHoursTimestampStarttimestampEndGet**](docs/OnpointsApi.md#onpointsonpointidhourstimestampstarttimestampendget) | **Get** /onpoints/{onpointId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for an OnPoint™ point.
*PointsApi* | [**PointsLatitudelongitudeDaysDateGet**](docs/PointsApi.md#pointslatitudelongitudedaysdateget) | **Get** /points/{latitude},{longitude}/days/{date} | A day of ECMWF Air Quality Forecast data for a Latitude/Longitude point.
*PointsApi* | [**PointsLatitudelongitudeDaysDateStartdateEndGet**](docs/PointsApi.md#pointslatitudelongitudedaysdatestartdateendget) | **Get** /points/{latitude},{longitude}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a Latitude/Longitude point.
*PointsApi* | [**PointsLatitudelongitudeDaysGet**](docs/PointsApi.md#pointslatitudelongitudedaysget) | **Get** /points/{latitude},{longitude}/days | The complete daily ECMWF Air Quality Forecast for a Latitude/Longitude point.
*PointsApi* | [**PointsLatitudelongitudeHoursGet**](docs/PointsApi.md#pointslatitudelongitudehoursget) | **Get** /points/{latitude},{longitude}/hours | The complete hourly ECMWF Air Quality Forecast for a Latitude/Longitude point.
*PointsApi* | [**PointsLatitudelongitudeHoursTimestampGet**](docs/PointsApi.md#pointslatitudelongitudehourstimestampget) | **Get** /points/{latitude},{longitude}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a Latitude/Longitude point.
*PointsApi* | [**PointsLatitudelongitudeHoursTimestampStarttimestampEndGet**](docs/PointsApi.md#pointslatitudelongitudehourstimestampstarttimestampendget) | **Get** /points/{latitude},{longitude}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a Latitude/Longitude point.
*PostcodesApi* | [**PostcodesPostcodecountryCodeDaysDateGet**](docs/PostcodesApi.md#postcodespostcodecountrycodedaysdateget) | **Get** /postcodes/{postcode},{countryCode}/days/{date} | A day of ECMWF Air Quality Forecast data for a postcode.
*PostcodesApi* | [**PostcodesPostcodecountryCodeDaysDateStartdateEndGet**](docs/PostcodesApi.md#postcodespostcodecountrycodedaysdatestartdateendget) | **Get** /postcodes/{postcode},{countryCode}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a postcode.
*PostcodesApi* | [**PostcodesPostcodecountryCodeDaysGet**](docs/PostcodesApi.md#postcodespostcodecountrycodedaysget) | **Get** /postcodes/{postcode},{countryCode}/days | The complete daily ECMWF Air Quality Forecast for a postcode.
*PostcodesApi* | [**PostcodesPostcodecountryCodeHoursGet**](docs/PostcodesApi.md#postcodespostcodecountrycodehoursget) | **Get** /postcodes/{postcode},{countryCode}/hours | The complete hourly ECMWF Air Quality Forecast for a postcode.
*PostcodesApi* | [**PostcodesPostcodecountryCodeHoursTimestampGet**](docs/PostcodesApi.md#postcodespostcodecountrycodehourstimestampget) | **Get** /postcodes/{postcode},{countryCode}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a postcode.
*PostcodesApi* | [**PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet**](docs/PostcodesApi.md#postcodespostcodecountrycodehourstimestampstarttimestampendget) | **Get** /postcodes/{postcode},{countryCode}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a postcode.

## Documentation For Models

 - [BoundingPointsInner](docs/BoundingPointsInner.md)
 - [DateRangeObj](docs/DateRangeObj.md)
 - [DmaObj](docs/DmaObj.md)
 - [EcmwfAirQualityForecastDayObj](docs/EcmwfAirQualityForecastDayObj.md)
 - [EcmwfAirQualityForecastDmaDayObj](docs/EcmwfAirQualityForecastDmaDayObj.md)
 - [EcmwfAirQualityForecastDmaHourObj](docs/EcmwfAirQualityForecastDmaHourObj.md)
 - [EcmwfAirQualityForecastHourObj](docs/EcmwfAirQualityForecastHourObj.md)
 - [EcmwfAirQualityForecastOnpointDayObj](docs/EcmwfAirQualityForecastOnpointDayObj.md)
 - [EcmwfAirQualityForecastOnpointHourObj](docs/EcmwfAirQualityForecastOnpointHourObj.md)
 - [EcmwfAirQualityForecastPointDayObj](docs/EcmwfAirQualityForecastPointDayObj.md)
 - [EcmwfAirQualityForecastPointHourObj](docs/EcmwfAirQualityForecastPointHourObj.md)
 - [EcmwfAirQualityForecastPostcodeDayObj](docs/EcmwfAirQualityForecastPostcodeDayObj.md)
 - [EcmwfAirQualityForecastPostcodeHourObj](docs/EcmwfAirQualityForecastPostcodeHourObj.md)
 - [ErrorObj](docs/ErrorObj.md)
 - [FieldListDayObj](docs/FieldListDayObj.md)
 - [FieldListHourObj](docs/FieldListHourObj.md)
 - [Grid](docs/Grid.md)
 - [OnpointObj](docs/OnpointObj.md)
 - [PointObj](docs/PointObj.md)
 - [PostcodeObj](docs/PostcodeObj.md)
 - [SamplePointsInner](docs/SamplePointsInner.md)
 - [TimestampRangeObj](docs/TimestampRangeObj.md)

## Documentation For Authorization

## ApiKeyAuth
- **Type**: API key 

Example
```golang
auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
	Key: "APIKEY",
	Prefix: "Bearer", // Omit if not necessary.
})
r, err := client.Service.Operation(auth, args)
```

## Author

support@weathersource.com
