# {{classname}}

All URIs are relative to *https://ecmwfairqualityforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DmasDmaIdDaysDateGet**](DmasApi.md#DmasDmaIdDaysDateGet) | **Get** /dmas/{dmaId}/days/{date} | A day of ECMWF Air Quality Forecast data for a DMA.
[**DmasDmaIdDaysDateStartdateEndGet**](DmasApi.md#DmasDmaIdDaysDateStartdateEndGet) | **Get** /dmas/{dmaId}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a DMA.
[**DmasDmaIdDaysGet**](DmasApi.md#DmasDmaIdDaysGet) | **Get** /dmas/{dmaId}/days | The complete daily ECMWF Air Quality Forecast for a DMA.
[**DmasDmaIdHoursGet**](DmasApi.md#DmasDmaIdHoursGet) | **Get** /dmas/{dmaId}/hours | The complete hourly ECMWF Air Quality Forecast for a DMA
[**DmasDmaIdHoursTimestampGet**](DmasApi.md#DmasDmaIdHoursTimestampGet) | **Get** /dmas/{dmaId}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a DMA
[**DmasDmaIdHoursTimestampStarttimestampEndGet**](DmasApi.md#DmasDmaIdHoursTimestampStarttimestampEndGet) | **Get** /dmas/{dmaId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a DMA.

# **DmasDmaIdDaysDateGet**
> EcmwfAirQualityForecastDmaDayObj DmasDmaIdDaysDateGet(ctx, dmaId, date, fields, optional)
A day of ECMWF Air Quality Forecast data for a DMA.

Returns a single day of ECMWF Air Quality Forecast data for a Designated Market Area. The provided date must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **date** | **string**| An date formatted as a RFC3339 date value. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdDaysDateGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdDaysDateGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaDayObj**](ecmwfAirQualityForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DmasDmaIdDaysDateStartdateEndGet**
> EcmwfAirQualityForecastDmaDayObj DmasDmaIdDaysDateStartdateEndGet(ctx, dmaId, dateStart, dateEnd, fields, optional)
A contiguous range of daily ECMWF Air Quality Forecast data for a DMA.

Returns a contiguous range of daily ECMWF Air Quality Forecast data for a Designated Market Area. The provided dates must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **dateStart** | **string**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
  **dateEnd** | **string**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdDaysDateStartdateEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdDaysDateStartdateEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaDayObj**](ecmwfAirQualityForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DmasDmaIdDaysGet**
> EcmwfAirQualityForecastDmaDayObj DmasDmaIdDaysGet(ctx, dmaId, fields, optional)
The complete daily ECMWF Air Quality Forecast for a DMA.

Returns the complete set of ECMWF Air Quality Forecast data for a Designated Market Area.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdDaysGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdDaysGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaDayObj**](ecmwfAirQualityForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DmasDmaIdHoursGet**
> EcmwfAirQualityForecastDmaHourObj DmasDmaIdHoursGet(ctx, dmaId, fields, optional)
The complete hourly ECMWF Air Quality Forecast for a DMA

Returns the complete set of ECMWF Air Quality Forecast data for a Designated Market Area.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdHoursGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdHoursGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaHourObj**](ecmwfAirQualityForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DmasDmaIdHoursTimestampGet**
> EcmwfAirQualityForecastDmaHourObj DmasDmaIdHoursTimestampGet(ctx, dmaId, timestamp, fields, optional)
An hour of ECMWF Air Quality Forecast data for a DMA

Returns a single hour of ECMWF Air Quality Forecast data for a Designated Market Area. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **timestamp** | **time.Time**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdHoursTimestampGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdHoursTimestampGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaHourObj**](ecmwfAirQualityForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DmasDmaIdHoursTimestampStarttimestampEndGet**
> EcmwfAirQualityForecastDmaHourObj DmasDmaIdHoursTimestampStarttimestampEndGet(ctx, dmaId, timestampStart, timestampEnd, fields, optional)
A contiguous range of hourly ECMWF Air Quality Forecast data for a DMA.

Returns a contiguous range of hourly ECMWF Air Quality Forecast data for a Designated Market Area. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **dmaId** | **int32**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***DmasApiDmasDmaIdHoursTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DmasApiDmasDmaIdHoursTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastDmaHourObj**](ecmwfAirQualityForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

