# {{classname}}

All URIs are relative to *https://ecmwfairqualityforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdDaysDateGet**](OnpointsApi.md#OnpointsOnpointIdDaysDateGet) | **Get** /onpoints/{onpointId}/days/{date} | A day of ECMWF Air Quality Forecast data for an OnPoint™ point.
[**OnpointsOnpointIdDaysDateStartdateEndGet**](OnpointsApi.md#OnpointsOnpointIdDaysDateStartdateEndGet) | **Get** /onpoints/{onpointId}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for an OnPoint™ point.
[**OnpointsOnpointIdDaysGet**](OnpointsApi.md#OnpointsOnpointIdDaysGet) | **Get** /onpoints/{onpointId}/days | The complete daily ECMWF Air Quality Forecast for an OnPoint™ point.
[**OnpointsOnpointIdHoursGet**](OnpointsApi.md#OnpointsOnpointIdHoursGet) | **Get** /onpoints/{onpointId}/hours | The complete hourly ECMWF Air Quality Forecast for an OnPoint™ point.
[**OnpointsOnpointIdHoursTimestampGet**](OnpointsApi.md#OnpointsOnpointIdHoursTimestampGet) | **Get** /onpoints/{onpointId}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for an OnPoint™ point.
[**OnpointsOnpointIdHoursTimestampStarttimestampEndGet**](OnpointsApi.md#OnpointsOnpointIdHoursTimestampStarttimestampEndGet) | **Get** /onpoints/{onpointId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for an OnPoint™ point.

# **OnpointsOnpointIdDaysDateGet**
> EcmwfAirQualityForecastOnpointDayObj OnpointsOnpointIdDaysDateGet(ctx, onpointId, date, fields, optional)
A day of ECMWF Air Quality Forecast data for an OnPoint™ point.

Returns a single day of ECMWF Air Quality Forecast data for an OnPoint™ point. The provided date must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **date** | **string**| An date formatted as a RFC3339 date value. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdDaysDateGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdDaysDateGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointDayObj**](ecmwfAirQualityForecastOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdDaysDateStartdateEndGet**
> EcmwfAirQualityForecastOnpointDayObj OnpointsOnpointIdDaysDateStartdateEndGet(ctx, onpointId, dateStart, dateEnd, fields, optional)
A contiguous range of daily ECMWF Air Quality Forecast data for an OnPoint™ point.

Returns a contiguous range of daily ECMWF Air Quality Forecast data for an OnPoint™ point. The provided dates must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **dateStart** | **string**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
  **dateEnd** | **string**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdDaysDateStartdateEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdDaysDateStartdateEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointDayObj**](ecmwfAirQualityForecastOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdDaysGet**
> EcmwfAirQualityForecastOnpointDayObj OnpointsOnpointIdDaysGet(ctx, onpointId, fields, optional)
The complete daily ECMWF Air Quality Forecast for an OnPoint™ point.

Returns the complete set of ECMWF Air Quality Forecast data for an OnPoint™ point.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdDaysGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdDaysGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointDayObj**](ecmwfAirQualityForecastOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdHoursGet**
> EcmwfAirQualityForecastOnpointHourObj OnpointsOnpointIdHoursGet(ctx, onpointId, fields, optional)
The complete hourly ECMWF Air Quality Forecast for an OnPoint™ point.

Returns the complete set of ECMWF Air Quality Forecast data for an OnPoint™ point.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHoursGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHoursGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointHourObj**](ecmwfAirQualityForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdHoursTimestampGet**
> EcmwfAirQualityForecastOnpointHourObj OnpointsOnpointIdHoursTimestampGet(ctx, onpointId, timestamp, fields, optional)
An hour of ECMWF Air Quality Forecast data for an OnPoint™ point.

Returns a single hour of ECMWF Air Quality Forecast data for an OnPoint™ point. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **timestamp** | **time.Time**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHoursTimestampGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHoursTimestampGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointHourObj**](ecmwfAirQualityForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdHoursTimestampStarttimestampEndGet**
> EcmwfAirQualityForecastOnpointHourObj OnpointsOnpointIdHoursTimestampStarttimestampEndGet(ctx, onpointId, timestampStart, timestampEnd, fields, optional)
A contiguous range of hourly ECMWF Air Quality Forecast data for an OnPoint™ point.

Returns a contiguous range of hourly ECMWF Air Quality Forecast data for an OnPoint™ point. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHoursTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHoursTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastOnpointHourObj**](ecmwfAirQualityForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

