# {{classname}}

All URIs are relative to *https://ecmwfairqualityforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PointsLatitudelongitudeDaysDateGet**](PointsApi.md#PointsLatitudelongitudeDaysDateGet) | **Get** /points/{latitude},{longitude}/days/{date} | A day of ECMWF Air Quality Forecast data for a Latitude/Longitude point.
[**PointsLatitudelongitudeDaysDateStartdateEndGet**](PointsApi.md#PointsLatitudelongitudeDaysDateStartdateEndGet) | **Get** /points/{latitude},{longitude}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a Latitude/Longitude point.
[**PointsLatitudelongitudeDaysGet**](PointsApi.md#PointsLatitudelongitudeDaysGet) | **Get** /points/{latitude},{longitude}/days | The complete daily ECMWF Air Quality Forecast for a Latitude/Longitude point.
[**PointsLatitudelongitudeHoursGet**](PointsApi.md#PointsLatitudelongitudeHoursGet) | **Get** /points/{latitude},{longitude}/hours | The complete hourly ECMWF Air Quality Forecast for a Latitude/Longitude point.
[**PointsLatitudelongitudeHoursTimestampGet**](PointsApi.md#PointsLatitudelongitudeHoursTimestampGet) | **Get** /points/{latitude},{longitude}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a Latitude/Longitude point.
[**PointsLatitudelongitudeHoursTimestampStarttimestampEndGet**](PointsApi.md#PointsLatitudelongitudeHoursTimestampStarttimestampEndGet) | **Get** /points/{latitude},{longitude}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a Latitude/Longitude point.

# **PointsLatitudelongitudeDaysDateGet**
> EcmwfAirQualityForecastPointDayObj PointsLatitudelongitudeDaysDateGet(ctx, latitude, longitude, date, fields, optional)
A day of ECMWF Air Quality Forecast data for a Latitude/Longitude point.

Returns a single day of ECMWF Air Quality Forecast data for a Latitude/Longitude point. The provided date must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **date** | **string**| An date formatted as a RFC3339 date value. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeDaysDateGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeDaysDateGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointDayObj**](ecmwfAirQualityForecastPointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PointsLatitudelongitudeDaysDateStartdateEndGet**
> EcmwfAirQualityForecastPointDayObj PointsLatitudelongitudeDaysDateStartdateEndGet(ctx, latitude, longitude, dateStart, dateEnd, fields, optional)
A contiguous range of daily ECMWF Air Quality Forecast data for a Latitude/Longitude point.

Returns a contiguous range of daily ECMWF Air Quality Forecast data for a Latitude/Longitude point. The provided dates must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **dateStart** | **string**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
  **dateEnd** | **string**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeDaysDateStartdateEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeDaysDateStartdateEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointDayObj**](ecmwfAirQualityForecastPointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PointsLatitudelongitudeDaysGet**
> EcmwfAirQualityForecastPointDayObj PointsLatitudelongitudeDaysGet(ctx, latitude, longitude, fields, optional)
The complete daily ECMWF Air Quality Forecast for a Latitude/Longitude point.

Returns the complete set of daily ECMWF Air Quality Forecast data for a Latitude/Longitude point.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeDaysGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeDaysGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointDayObj**](ecmwfAirQualityForecastPointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PointsLatitudelongitudeHoursGet**
> EcmwfAirQualityForecastPointHourObj PointsLatitudelongitudeHoursGet(ctx, latitude, longitude, fields, optional)
The complete hourly ECMWF Air Quality Forecast for a Latitude/Longitude point.

Returns the complete set of ECMWF Air Quality Forecast data for a Latitude/Longitude point.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeHoursGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeHoursGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointHourObj**](ecmwfAirQualityForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PointsLatitudelongitudeHoursTimestampGet**
> EcmwfAirQualityForecastPointHourObj PointsLatitudelongitudeHoursTimestampGet(ctx, latitude, longitude, timestamp, fields, optional)
An hour of ECMWF Air Quality Forecast data for a Latitude/Longitude point.

Returns a single hour of ECMWF Air Quality Forecast data for a Latitude/Longitude point. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **timestamp** | **time.Time**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeHoursTimestampGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeHoursTimestampGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointHourObj**](ecmwfAirQualityForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PointsLatitudelongitudeHoursTimestampStarttimestampEndGet**
> EcmwfAirQualityForecastPointHourObj PointsLatitudelongitudeHoursTimestampStarttimestampEndGet(ctx, latitude, longitude, timestampStart, timestampEnd, fields, optional)
A contiguous range of hourly ECMWF Air Quality Forecast data for a Latitude/Longitude point.

Returns a contiguous range of hourly ECMWF Air Quality Forecast data for a Latitude/Longitude point. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PointsApiPointsLatitudelongitudeHoursTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudeHoursTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPointHourObj**](ecmwfAirQualityForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

