# {{classname}}

All URIs are relative to *https://ecmwfairqualityforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PostcodesPostcodecountryCodeDaysDateGet**](PostcodesApi.md#PostcodesPostcodecountryCodeDaysDateGet) | **Get** /postcodes/{postcode},{countryCode}/days/{date} | A day of ECMWF Air Quality Forecast data for a postcode.
[**PostcodesPostcodecountryCodeDaysDateStartdateEndGet**](PostcodesApi.md#PostcodesPostcodecountryCodeDaysDateStartdateEndGet) | **Get** /postcodes/{postcode},{countryCode}/days/{dateStart},{dateEnd} | A contiguous range of daily ECMWF Air Quality Forecast data for a postcode.
[**PostcodesPostcodecountryCodeDaysGet**](PostcodesApi.md#PostcodesPostcodecountryCodeDaysGet) | **Get** /postcodes/{postcode},{countryCode}/days | The complete daily ECMWF Air Quality Forecast for a postcode.
[**PostcodesPostcodecountryCodeHoursGet**](PostcodesApi.md#PostcodesPostcodecountryCodeHoursGet) | **Get** /postcodes/{postcode},{countryCode}/hours | The complete hourly ECMWF Air Quality Forecast for a postcode.
[**PostcodesPostcodecountryCodeHoursTimestampGet**](PostcodesApi.md#PostcodesPostcodecountryCodeHoursTimestampGet) | **Get** /postcodes/{postcode},{countryCode}/hours/{timestamp} | An hour of ECMWF Air Quality Forecast data for a postcode.
[**PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet**](PostcodesApi.md#PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet) | **Get** /postcodes/{postcode},{countryCode}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Air Quality Forecast data for a postcode.

# **PostcodesPostcodecountryCodeDaysDateGet**
> EcmwfAirQualityForecastPostcodeDayObj PostcodesPostcodecountryCodeDaysDateGet(ctx, postcode, countryCode, date, fields, optional)
A day of ECMWF Air Quality Forecast data for a postcode.

Returns a single day of ECMWF Air Quality Forecast data for a postcode. The provided date must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **date** | **string**| An date formatted as a RFC3339 date value. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeDaysDateGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeDaysDateGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeDayObj**](ecmwfAirQualityForecastPostcodeDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostcodesPostcodecountryCodeDaysDateStartdateEndGet**
> EcmwfAirQualityForecastPostcodeDayObj PostcodesPostcodecountryCodeDaysDateStartdateEndGet(ctx, postcode, countryCode, dateStart, dateEnd, fields, optional)
A contiguous range of daily ECMWF Air Quality Forecast data for a postcode.

Returns a contiguous range of daily ECMWF Air Quality Forecast data for a postcode. The provided dates must exist within the current valid 9-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **dateStart** | **string**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
  **dateEnd** | **string**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeDaysDateStartdateEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeDaysDateStartdateEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeDayObj**](ecmwfAirQualityForecastPostcodeDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostcodesPostcodecountryCodeDaysGet**
> EcmwfAirQualityForecastPostcodeDayObj PostcodesPostcodecountryCodeDaysGet(ctx, postcode, countryCode, fields, optional)
The complete daily ECMWF Air Quality Forecast for a postcode.

Returns the complete set of ECMWF Air Quality Forecast data for a postcode.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeDaysGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeDaysGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeDayObj**](ecmwfAirQualityForecastPostcodeDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostcodesPostcodecountryCodeHoursGet**
> EcmwfAirQualityForecastPostcodeHourObj PostcodesPostcodecountryCodeHoursGet(ctx, postcode, countryCode, fields, optional)
The complete hourly ECMWF Air Quality Forecast for a postcode.

Returns the complete set of ECMWF Air Quality Forecast data for a postcode.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeHoursGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeHoursGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeHourObj**](ecmwfAirQualityForecastPostcodeHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostcodesPostcodecountryCodeHoursTimestampGet**
> EcmwfAirQualityForecastPostcodeHourObj PostcodesPostcodecountryCodeHoursTimestampGet(ctx, postcode, countryCode, timestamp, fields, optional)
An hour of ECMWF Air Quality Forecast data for a postcode.

Returns a single hour of ECMWF Air Quality Forecast data for a postcode. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **timestamp** | **time.Time**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeHoursTimestampGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeHoursTimestampGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeHourObj**](ecmwfAirQualityForecastPostcodeHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet**
> EcmwfAirQualityForecastPostcodeHourObj PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet(ctx, postcode, countryCode, timestampStart, timestampEnd, fields, optional)
A contiguous range of hourly ECMWF Air Quality Forecast data for a postcode.

Returns a contiguous range of hourly ECMWF Air Quality Forecast data for a postcode. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfAirQualityForecastPostcodeHourObj**](ecmwfAirQualityForecastPostcodeHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

