/*
 * ECMWF Air Quality Forecast - A Weather Source API
 *
 * Daily and hourly air quality forecast data from the ECMWF model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Hourly forecast is up to 5 days out from current day. Daily forecast is up to 4 days out from current day. The Weather Source ECMWF Air Quality Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

// A daily weather ECMWF Air Quality Forecast object.
type EcmwfAirQualityForecastDayObj struct {
	Date string `json:"date"`
	TimestampInit *time.Time `json:"timestampInit,omitempty"`
	AirQualityIndex float32 `json:"airQualityIndex,omitempty"`
	ParticulateMatter1Min float32 `json:"particulateMatter1Min,omitempty"`
	ParticulateMatter1Avg float32 `json:"particulateMatter1Avg,omitempty"`
	ParticulateMatter1Max float32 `json:"particulateMatter1Max,omitempty"`
	ParticulateMatter2p5Min float32 `json:"particulateMatter2p5Min,omitempty"`
	ParticulateMatter2p5Avg float32 `json:"particulateMatter2p5Avg,omitempty"`
	ParticulateMatter2p5Max float32 `json:"particulateMatter2p5Max,omitempty"`
	ParticulateMatter10Min float32 `json:"particulateMatter10Min,omitempty"`
	ParticulateMatter10Avg float32 `json:"particulateMatter10Avg,omitempty"`
	ParticulateMatter10Max float32 `json:"particulateMatter10Max,omitempty"`
	CarbonMonoxideMin float32 `json:"carbonMonoxideMin,omitempty"`
	CarbonMonoxideAvg float32 `json:"carbonMonoxideAvg,omitempty"`
	CarbonMonoxideMax float32 `json:"carbonMonoxideMax,omitempty"`
	NitrogenDioxideMin float32 `json:"nitrogenDioxideMin,omitempty"`
	NitrogenDioxideAvg float32 `json:"nitrogenDioxideAvg,omitempty"`
	NitrogenDioxideMax float32 `json:"nitrogenDioxideMax,omitempty"`
	SulfurDioxideMin float32 `json:"sulfurDioxideMin,omitempty"`
	SulfurDioxideAvg float32 `json:"sulfurDioxideAvg,omitempty"`
	SulfurDioxideMax float32 `json:"sulfurDioxideMax,omitempty"`
	OzoneMin float32 `json:"ozoneMin,omitempty"`
	OzoneAvg float32 `json:"ozoneAvg,omitempty"`
	OzoneMax float32 `json:"ozoneMax,omitempty"`
}
